Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hdf.extractor
Class StyleDescription

    java.lang.Object
      org.apache.poi.hdf.extractor.StyleDescription

public class StyleDescription
extends java.lang.Object

Comment me

Author:
  Ryan Ackley

Constructor Summary
`StyleDescription()`
`StyleDescription(byte[] std, int baseLength, boolean word9)`

Method Summary
`int` | `getBaseStyle()`
`CHP` | `getCHP()`
`byte[]` | `getCHPX()`
`PAP` | `getPAP()`
`byte[]` | `getPAPX()`
`void` | `setCHP(CHP chp)`
`void` | `setPAP(PAP pap)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StyleDescription

    public StyleDescription()

### StyleDescription

    public StyleDescription(byte[] std,
                            int baseLength,
                            boolean word9)

Method Detail

### getBaseStyle

    public int getBaseStyle()

### getCHPX

    public byte[] getCHPX()

### getPAPX

    public byte[] getPAPX()

### getPAP

    public PAP getPAP()

### getCHP

    public CHP getCHP()

### setPAP

    public void setPAP(PAP pap)

### setCHP

    public void setCHP(CHP chp)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 Apache Software Foundation.